/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02884
 |        NATIONAL TREATMENT IMPROVEMENT EVALUATION STUDY (NTIES),
 |                               1992-1997
 |            (DATASET 0005: NTIES CLINICAL UNIT DATA (NCLU))
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (NUSDUID <= -1) THEN NUSDUID = .;
   IF (DIRCOLL <= -1) THEN DIRCOLL = .;
   IF (DIRGRAD <= -1) THEN DIRGRAD = .;
   IF (DIRCRED <= -1) THEN DIRCRED = .;
   IF (DIRYEARS <= -1) THEN DIRYEARS = .;
   IF (DIRSEX <= -1) THEN DIRSEX = .;
   IF (DIRETHNI <= -1) THEN DIRETHNI = .;
   IF (YRSKEYP1 <= -1) THEN YRSKEYP1 = .;
   IF (YRSKEYP2 <= -1) THEN YRSKEYP2 = .;
   IF (PMALESTF <= -1) THEN PMALESTF = .;
   IF (PMINOSTF <= -1) THEN PMINOSTF = .;
   IF (ANYCASE <= -1) THEN ANYCASE = .;
   IF (FTEMED <= -1) THEN FTEMED = .;
   IF (FTECOUNS <= -1) THEN FTECOUNS = .;
   IF (FTEADMIN <= -1) THEN FTEADMIN = .;
   IF (CTENURE <= -1.0) THEN CTENURE = .;
   IF (CADCASES <= -1.0) THEN CADCASES = .;
   IF (COLGRAD <= -1.0) THEN COLGRAD = .;
   IF (CGENDER <= -1.0) THEN CGENDER = .;
   IF (CGENMTCH <= -1.0) THEN CGENMTCH = .;
   IF (CRACE <= -1.0) THEN CRACE = .;
   IF (CRACMTCH <= -1.0) THEN CRACMTCH = .;
   IF (CADTRAIN <= -1.0) THEN CADTRAIN = .;
   IF (SVCELSW <= -1) THEN SVCELSW = .;
   IF (REVENUE <= -1) THEN REVENUE = .;
   IF (PCTNOPAY <= -1) THEN PCTNOPAY = .;
   IF (TOTADMIT <= -1) THEN TOTADMIT = .;
   IF (AFRADMIT <= -1) THEN AFRADMIT = .;
   IF (HSPADMIT <= -1) THEN HSPADMIT = .;
   IF (FEMADMIT <= -1) THEN FEMADMIT = .;
   IF (O21ADM <= -1) THEN O21ADM = .;
   IF (ACTCASE <= -1) THEN ACTCASE = .;
   IF (INPHASE <= -1) THEN INPHASE = .;
   IF (EXPHASE <= -1) THEN EXPHASE = .;
   IF (PTMATCH <= -1) THEN PTMATCH = .;
   IF (FREQCOUN <= -1) THEN FREQCOUN = .;
   IF (ENVCHANG <= -1) THEN ENVCHANG = .;
   IF (FAMPAR <= -1) THEN FAMPAR = .;
   IF (SELFIMAG <= -1) THEN SELFIMAG = .;
   IF (URINFREQ <= -1) THEN URINFREQ = .;
   IF (ACADEMIC <= -1) THEN ACADEMIC = .;
   IF (VOCTRAIN <= -1) THEN VOCTRAIN = .;
   IF (MEDICAL <= -1) THEN MEDICAL = .;
   IF (PSYCHIAT <= -1) THEN PSYCHIAT = .;
   IF (PREGNAN <= -1) THEN PREGNAN = .;
   IF (CRSLFEST <= -1.0000) THEN CRSLFEST = .;
   IF (CRENVCHG <= -1.0000) THEN CRENVCHG = .;
   IF (CRCONBEH <= -1.0000) THEN CRCONBEH = .;
   IF (CRSOCSKL <= -1.0000) THEN CRSOCSKL = .;
   IF (CRINFO <= -1.0000) THEN CRINFO = .;
   IF (CRJOBED <= -1.0000) THEN CRJOBED = .;
   IF (CRMEDIC <= -1.0000) THEN CRMEDIC = .;
   IF (CR12STEP <= -1.0000) THEN CR12STEP = .;
   IF (CRPSYCH <= -1.0000) THEN CRPSYCH = .;
   IF (CRPUNISH <= -1.0000) THEN CRPUNISH = .;
   IF (CRSPIRIT <= -1.0000) THEN CRSPIRIT = .;
   IF (CRTSTING <= -1.0000) THEN CRTSTING = .;
*/

RUN ;
